Skip to main content
POST
/
api
/
public
/
v1
/
automations
/
Create Automation
curl --request POST \
  --url https://api.userintuition.ai/api/public/v1/automations/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "hook_url": "<string>",
  "study_id": "<string>"
}
'
{
  "id": "<string>",
  "hook_url": "<string>",
  "study_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Authenticate with an API key (prefixed ui_sk_) or a JWT token from the dashboard.

Body

application/json
hook_url
string
required

Webhook URL to receive completed-interview data

study_id
string
required

The study to attach the webhook to

Response

Successful Response

id
string
required
hook_url
string
required
study_id
string
required
created_at
string<date-time> | null
updated_at
string<date-time> | null